package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*流转关系表
* @author quyixiao
* @since 2020-11-02
*/

@Data
@TableName("lz_staff_role")
@ApiModel(value = "流转关系表")
public class StaffRole implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //员工 id
    @ApiModelProperty(value = "员工 id", name = "staffId")
    private Long staffId;
    //角色
    @ApiModelProperty(value = "角色", name = "departmentLevel")
    private String departmentLevel;
    //角色 id
    @ApiModelProperty(value = "角色 id", name = "typeRoleIds")
    private String typeRoleIds;
    //员工名称
    @ApiModelProperty(value = "员工名称", name = "staffName")
    private String staffName;
    //0表示全部组，1表示特定组
    @ApiModelProperty(value = "0表示全部组，1表示特定组", name = "evaluationGroupId")
    private Long evaluationGroupId;
    //0表示全部部门，1 所在部门及以下部门，2表示特定部门
    @ApiModelProperty(value = "0表示全部部门，1 所在部门及以下部门，2表示特定部门", name = "departmentId")
    private Long departmentId;

    @TableField(exist=false)
    private Integer isSelect;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 员工 id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工 id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 角色 
     * @return
     */
    public String getDepartmentLevel() {
        return departmentLevel;
    }
    /**
     * 角色 
     * @param departmentLevel
     */
    public void setDepartmentLevel(String departmentLevel) {
        this.departmentLevel = departmentLevel;
    }

    /**
     * 角色 id 
     * @return
     */
    public String getTypeRoleIds() {
        return typeRoleIds;
    }
    /**
     * 角色 id 
     * @param typeRoleIds
     */
    public void setTypeRoleIds(String typeRoleIds) {
        this.typeRoleIds = typeRoleIds;
    }

    /**
     * 员工名称 
     * @return
     */
    public String getStaffName() {
        return staffName;
    }
    /**
     * 员工名称 
     * @param staffName
     */
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    /**
     * 0表示全部组，1表示特定组 
     * @return
     */
    public Long getEvaluationGroupId() {
        return evaluationGroupId;
    }
    /**
     * 0表示全部组，1表示特定组 
     * @param evaluationGroupId
     */
    public void setEvaluationGroupId(Long evaluationGroupId) {
        this.evaluationGroupId = evaluationGroupId;
    }

    /**
     * 0表示全部部门，1 所在部门及以下部门，2表示特定部门 
     * @return
     */
    public Long getDepartmentId() {
        return departmentId;
    }
    /**
     * 0表示全部部门，1 所在部门及以下部门，2表示特定部门 
     * @param departmentId
     */
    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    @Override
    public String toString() {
        return "StaffRole{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",staffId=" + staffId +
                ",departmentLevel=" + departmentLevel +
                ",typeRoleIds=" + typeRoleIds +
                ",staffName=" + staffName +
                ",evaluationGroupId=" + evaluationGroupId +
                ",departmentId=" + departmentId +
                "}";
    }
}